Subject: bug#14380: 24.3; `network-stream-open-tls' fails in some imap servers on w32

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 May 2013 22:01:16 +0300

> From: João Távora <[email-masked]>
> Date: Sun, 19 May 2013 18:57:43 +0100
> Cc: [email-masked], [email-masked]
> 
> On Sun, May 19, 2013 at 4:44 PM, Eli Zaretskii <[email-masked]> wrote:
> >> From: João Távora <[email-masked]>
> >> Date: Sun, 19 May 2013 12:45:12 +0100
> >> Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
> >>
> >> The fix I proposed aims for the status quo, that is: make external
> >> TLS binary support slightly more robust.
> >
> > I already said at lest twice in this thread: THIS WON'T WORK on
> > Windows (except in Cygwin Emacs).  The communications between the
> 
> Look, there's no need to shout.

I'm sorry, but after saying that twice, what other methods do I have
to make sure I'm heard?

> I'm not using Cygwin emacs, I'm using regular W32 binaries

That's exactly what I was talking about: an external tls client will
not work with a native w32 Emacs.

> When things do break, I'll happily unzip dlls, I have nothing against that.

I suggest you do this without waiting for things to break.  The
built-in GnuTLS support does work on Windows, there are several happy
users of it here.  Why have a partial solution when you can have a
complete one?